// pages/about/about.js
const app = getApp()
const api = require('../../api/index')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    version:app.globalData.version || '1.0.0',
    menu:[
      {
        type:1,
        label:'助手介绍',
        icon:'',
        page:'/pages/about/introduce'
      },
      {
        type:3,
        label:'意见反馈',
        icon:'',
        page:'/pages/about/Feedback',
        login:true
      },
      {
        type:2,
        label:'联系我们',
        icon:'',
        page:'/pages/about/connection'
      },
      // {
      //   type:4,
      //   label:'邀请有礼',
      //   icon:'',
      //   page:'/pages/about/invite',
      //   login:true
      // },
    ],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  //点击跳转
  clickMenu(e){
    var {item} = e.currentTarget.dataset
    if(item.login){
      var isLogin = api.isLogin()
      if(!isLogin){
        return false
      }
    }
    var page = item.page
      wx.navigateTo({
        url: page,
      })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})